Skip to content
Start here

List virtual networks

client.ZeroTrust.Networks.VirtualNetworks.List(ctx, params) (*SinglePage[VirtualNetwork], error)
GET/accounts/{account_id}/teamnet/virtual_networks

Lists and filters virtual networks in an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Networks WriteCloudflare One Networks ReadCloudflare Tunnel WriteCloudflare Tunnel Read
ParametersExpand Collapse
params NetworkVirtualNetworkListParams
AccountID param.Field[string]

Path param: Cloudflare account ID

maxLength32
ID param.Field[string]Optional

Query param: UUID of the virtual network.

formatuuid
IsDefault param.Field[bool]Optional

Query param: If true, only include the default virtual network. If false, exclude the default virtual network. If empty, all virtual networks will be included.

IsDefaultNetwork param.Field[bool]Optional

Query param: If true, only include the default virtual network. If false, exclude the default virtual network. If empty, all virtual networks will be included.

IsDeleted param.Field[bool]Optional

Query param: If true, only include deleted virtual networks. If false, exclude deleted virtual networks. If empty, all virtual networks will be included.

Name param.Field[string]Optional

Query param: A user-friendly name for the virtual network.

maxLength256
ReturnsExpand Collapse
type VirtualNetwork struct{…}
ID string

UUID of the virtual network.

formatuuid
Comment string

Optional remark describing the virtual network.

maxLength256
CreatedAt Time

Timestamp of when the resource was created.

formatdate-time
IsDefaultNetwork bool

If true, this virtual network is the default for the account.

Name string

A user-friendly name for the virtual network.

maxLength256
DeletedAt TimeOptional

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time

List virtual networks

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.ZeroTrust.Networks.VirtualNetworks.List(context.TODO(), zero_trust.NetworkVirtualNetworkListParams{
    AccountID: cloudflare.F("699d98642c564d2e855e9661899b7252"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "comment": "Staging VPC for data science",
      "created_at": "2021-01-25T18:22:34.317854Z",
      "is_default_network": true,
      "name": "us-east-1-vpc",
      "deleted_at": "2009-11-10T23:00:00.000000Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "comment": "Staging VPC for data science",
      "created_at": "2021-01-25T18:22:34.317854Z",
      "is_default_network": true,
      "name": "us-east-1-vpc",
      "deleted_at": "2009-11-10T23:00:00.000000Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}